Firmware opdatering til PocketWizard


Anvender du PocketWizard MiniTT1 og FlexTT5 på dit Nikon kamera, så er der en ny firmware opdatering klar, der understøtter Nikon D4, Nikon D800E, Nikon D800 og SB-910.
0